set_false_path -from { SGMII_CDR_0_0/PF_LANECTRL_0/I_LANECTRL/CLK_OUT_R } -to { PF_CCC_0/pll_inst_0/OUT0 }
set_false_path -from { PF_CCC_0/pll_inst_0/OUT0 }                         -to { SGMII_CDR_0_0/PF_LANECTRL_0/I_LANECTRL/CLK_OUT_R }
set_false_path -from { SGMII_CDR_0_0/PF_LANECTRL_0/I_LANECTRL/CLK_OUT_R } -to { clk_div_0/clk_div_0/I_CD/Y_DIV }
set_false_path -from { clk_div_0/clk_div_0/I_CD/Y_DIV }                   -to { SGMII_CDR_0_0/PF_LANECTRL_0/I_LANECTRL/CLK_OUT_R }
set_false_path -from { SGMII_CDR_0_0/PF_LANECTRL_0/I_LANECTRL/CLK_OUT_R } -to { NWC_PLL_0/pll_inst_0/OUT0 }
set_false_path -from { clk_div_0/clk_div_0/I_CD/Y_DIV }                   -to { NWC_PLL_0/pll_inst_0/OUT2 }
set_false_path -from { NWC_PLL_0/pll_inst_0/OUT2 }                        -to { clk_div_0/clk_div_0/I_CD/Y_DIV }

set_multicycle_path -setup 5 -from { PF_CCC_0/pll_inst_0/OUT0 }       -to { clk_div_0/clk_div_0/I_CD/Y_DIV }
set_multicycle_path -hold 3  -from { PF_CCC_0/pll_inst_0/OUT0 }       -to { clk_div_0/clk_div_0/I_CD/Y_DIV }
set_multicycle_path -setup 3 -from { clk_div_0/clk_div_0/I_CD/Y_DIV } -to { PF_CCC_0/pll_inst_0/OUT0 }
set_multicycle_path -hold 5  -from { clk_div_0/clk_div_0/I_CD/Y_DIV } -to { PF_CCC_0/pll_inst_0/OUT0 }

set_clock_groups -name {SGMII_CDR_0_0_CLK_OUT_GRP} -asynchronous -group [ get_clocks { SGMII_CDR_0_0/PF_LANECTRL_0/I_LANECTRL/CLK_OUT_R } ]
set_clock_groups -name {Y_DIV_GRP} -asynchronous -group [ get_clocks { clk_div_0/clk_div_0/I_CD/Y_DIV } ]
set_clock_groups -name {NWC_PLL_OUT0_GRP} -asynchronous -group [ get_clocks { NWC_PLL_0/pll_inst_0/OUT0 } ]
set_clock_groups -name {NWC_PLL_OUT1_GRP} -asynchronous -group [ get_clocks { NWC_PLL_0/pll_inst_0/OUT1 } ]
set_clock_groups -name {NWC_PLL_OUT2_GRP} -asynchronous -group [ get_clocks { NWC_PLL_0/pll_inst_0/OUT2 } ]
set_clock_groups -name {NWC_PLL_OUT3_GRP} -asynchronous -group [ get_clocks { NWC_PLL_0/pll_inst_0/OUT3 } ]
set_clock_groups -name {PF_CCC_0_OUT0_GRP} -asynchronous -group [ get_clocks { PF_CCC_0/pll_inst_0/OUT0 } ]
